//   перегрузка оператора доступа к члену класса

#include <iostream.h>

class TAnyClass {
       int x, y;
     public:
       TAnyClass(int xx, int yy) { x = xx; y = yy; }
       TAnyClass* operator->();
       int GetX(void) { return x; }
       int GetY(void) { return y; }
};


main()
{
       TAnyClass t(100, 200);
       cout << t->GetX() << '\n';
       cout << t->GetY() << '\n';
       return 0;
}

TAnyClass* TAnyClass::operator->() {
      cout << "\nAccessing member: ";
      return this;
}
 
